aboutsummaryrefslogtreecommitdiffstats
path: root/find-provides.in
diff options
context:
space:
mode:
Diffstat (limited to 'find-provides.in')
-rwxr-xr-xfind-provides.in6
1 files changed, 6 insertions, 0 deletions
diff --git a/find-provides.in b/find-provides.in
index 3fdf3cf..cdfd147 100755
--- a/find-provides.in
+++ b/find-provides.in
@@ -81,6 +81,12 @@ done | sort -u
&& test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/pkgconfigdeps.sh failed' >&2 && exit 1
#
+# --- mimehandler
+[ -x @RPMVENDORDIR@/desktop-file.prov ] &&
+ echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/desktop-file.prov --provides | sort -u \
+ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/desktop-file.prov failed' >&2 && exit 1
+
+#
# --- fonts
[ -x @RPMVENDORDIR@/fontconfig.prov ] &&
echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/fontconfig.prov --provides | sort -u \